/*******************************************************************/
/*

Demo-Software for smart cameras from Vision Components
------------------------------------------------------

Program: Klaus Schneider,  VC


Program Description:
--------------------

This file demonstrates differnt overlays:


*/
/*******************************************************************/

#include <vcrt.h>
#include <vclib.h>
#include <macros.h>
#include <sysvar.h>

/*******************************************************************/

void  Overlay 	(void);
void  Standard	(void);

/*******************************************************************/

void main()
  {
  vmode(vmLive); 
  shutter(10000);
  
  /* Working Page */
  OvlSetLogPage((int)OvlGetPhysPage); 
  
  OvlClearAll;
  
  pstr("Standard Display (Press any key)\n");
  Standard();
  rs232rcv();

  pstr("Overlay        Display (Press any key)\n");
  pstr("Ovelay and Translucent\n");
  Overlay();
  rs232rcv();
		
  pstr("Select Overlay Colors  (Press any key)\n");
  set_ovlmask(246);
  rs232rcv();

  pstr("Clear Overlay\n");
  OvlClearAll;
  }

/*******************************************************************/

void Standard (void)
  {
  init_LUT();
  }

/*******************************************************************/

void Overlay (void)
  {
  image OvlCol1, OvlCol2, TraCol1, TraCol2; 

  /* Clear Overlay */
  OvlClearAll;

  /* Define image variable for Overlay */
  ImageAssign(&OvlCol1, OvlBitAddr(1*OvlGetColumns/5, 1*OvlGetRows/5), OvlGetColumns/5, OvlGetRows/5, OvlGetPitch);  
  ImageAssign(&OvlCol2, OvlBitAddr(3*OvlGetColumns/5, 1*OvlGetRows/5), OvlGetColumns/5, OvlGetRows/5, OvlGetPitch);  
  ImageAssign(&TraCol1, OvlBitAddr(1*OvlGetColumns/5, 3*OvlGetRows/5), OvlGetColumns/5, OvlGetRows/5, OvlGetPitch);  
  ImageAssign(&TraCol2, OvlBitAddr(3*OvlGetColumns/5, 3*OvlGetRows/5), OvlGetColumns/5, OvlGetRows/5, OvlGetPitch);  

  /* Define Color */
  set_overlay_bit(2, 255,   0,   0); /* red */
  set_overlay_bit(3,   0, 255,   0); /* green */
  set_translucent(1,   0,   0, 255); /* blue translucent */
  set_translucent(2, 255, 255,   0); /* yellow translucent */

  set(&OvlCol1,   4);
  set(&OvlCol2,   8);
  set(&TraCol1,   1);
  set(&TraCol2,   2);

  OvlCol1.st-=(24L*(long)OvlGetPitch);
  OvlCol2.st-=(12L*(long)OvlGetPitch);
  TraCol1.st-=(12L*(long)OvlGetPitch);
  TraCol2.st-=(12L*(long)OvlGetPitch);

  chprint1("Red",&OvlCol1,2,2,4);
  chprint1("Green",&OvlCol2,1,1,8);
  chprint1("Blue",&TraCol1,1,1,1);
  chprint1("Yellow",&TraCol2,1,1,2);

  set_ovlmask(255);
  }

/*******************************************************************/

