/*******************************************************************/
/*

Demo-Software for smart cameras from Vision Components
------------------------------------------------------

Program: Klaus Schneider,  VC


Program Description:
--------------------

This program display all Inputs (IN0-IN3) and toggles the
outputs (OUT0-OUT3).

*/
/*******************************************************************/

#include <vcrt.h>
#include <vclib.h>
#include <macros.h>
#include <sysvar.h>

/*******************************************************************/

void main(void)

  {
  int  o1=0, o2=0, o3=0, o0=0;
  char response;


  print("Key 0-3: Toggel output OUT0-OUT3\n");
  print("Press any key for displaying Inputs / Outputs\n");
  print("Quit Program: Press 'q'\n\n");

  do
    {
    /* display results */
    print("\n");
    print("OUT0=%d  ",o0);
    print("OUT1=%d  ",o1);
    print("OUT2=%d  ",o2);
    print("OUT3=%d  ",o3);
    print("  ");
    print("INP0=%d  ",inPLC()&0x01);
    print("INP1=%d  ",inPLC()&0x02);
    print("INP2=%d  ",inPLC()&0x04);
    print("INP3=%d  ",inPLC()&0x08);

    /* wait for key input */
    response=rs232rcv();

    switch (response)
      {
      case '0' :   if(o0) {o0=0; resPLC0();} else {o0=1; setPLC0();} break;
      case '1' :   if(o1) {o1=0; resPLC1();} else {o1=1; setPLC1();} break;
      case '2' :   if(o2) {o2=0; resPLC2();} else {o2=1; setPLC2();} break;
      case '3' :   if(o3) {o3=0; resPLC3();} else {o3=1; setPLC3();} break;
      }
    }
  while( response != 'q');

  /* live picture at the end */
  vmode(vmLive);
  }

/*******************************************************************/
