/*******************************************************************/
/*

Demo-Software for smart cameras from Vision Components
------------------------------------------------------

Program: Klaus Schneider,  VC


Program Description:
--------------------

This program use the trigger output and trigger input.
Please have a look at the technical docu of the VC20xx,
chapter "Trigger Input and Trigger Output"
A buzzer is connected between +5V (brown cable) and
Trig. Out (grey cable)

*/
/*******************************************************************/

#include <vcrt.h>
#include <vclib.h>
#include <macros.h>
#include <sysvar.h>

/*******************************************************************/

void main(void)

  {
  int TrigInp, Run = 1;
  
  TRIGINP_POS();     
  
  vmode(vmStill); /* set allowed vmode for tenable()*/
  
  while(!kbhit())  
    {
    /* Display status of Trigger Input */
    TrigInp = (int)(*((volatile int *)VIRTX_STAT) & 0x2000);

    if (TrigInp)
      {
      print ("Trigger Input ON\n");
      }
    else
      {
      print ("Trigger Input OFF\n");
      }

    time_delay(20); // ms
    } 
 
  getchar();


  pstr("Waiting for Tigger (rising edge at Trig.Inp). Press any Key for quit\n");

 
  TRIGOUT_EXP();      /* set trigger output to exposure controlled mode */
  TRIGOUT_POS();      /* low level = esposure                           */

  while(Run)  
    {

    tenable();        /* now wait for external trigger    */
  

	    while(!trdy())    /* wait for completion*/ 
	   
	    
	    {
		      if (kbhit())
		      {
		        print("kill capture\n");
		        getchar();
		      	while(cancel_capture_rq());
		      	Run = 0;
		      }      
	
	    }

  	pstr("*");
    }
 vmode(vmLive);
 }

/*******************************************************************/
